Name:           perl-Date-Handler
Version:        1.2
Release:    1%{?dist}
Summary:        Easy but complete date object
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Date-Handler
Source0:        https://cpan.metacpan.org/modules/by-module/Date/Date-Handler-%{version}.tar.gz
Patch0:         Date-Handler-1.2-Set-an-encoding-for-POD.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  glibc-common
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(strict)
BuildRequires:  glibc-langpack-en
BuildRequires:  glibc-langpack-es
BuildRequires:  glibc-langpack-fr
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(overload)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test)
BuildRequires:  perl(vars)
BuildRequires:  tzdata
Requires:       glibc-langpack-en
Recommends:     tzdata

%description
Date::Handler is a container for dates that holds all the methods to
transform itself from a time zone to a time zone and to format itself.

%package Test
Summary:        Test module for Date::Handler
Requires:       %{name} = %{version}-%{release}
Requires:       tzdata
Requires:       glibc-langpack-es
Requires:       glibc-langpack-fr
Conflicts:      perl-Date-Handler < 1.2-18

%description Test
This Perl module provides a series of test cases to be run during the
"make test" of the Date::Handler module.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-Test = %{version}-%{release}
Requires:       perl-Test-Harness

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%prep
%autosetup -p1 -n Date-Handler-%{version}
find -type f -exec chmod 0644 {} +
iconv --from=ISO-8859-1 --to=UTF-8 README > README.new
touch -r README README.new
mv README.new README
chmod a+x t/*.t

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 --extended_tests
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%doc Changes README
%dir %{perl_vendorlib}/Date
%dir %{perl_vendorlib}/Date/Handler
%{perl_vendorlib}/Date/Handler/Constants.pm
%{perl_vendorlib}/Date/Handler/Delta.pm
%{perl_vendorlib}/Date/Handler/Range.pm
%{perl_vendorlib}/Date/Handler.pm
%{perl_vendorlib}/Date/Handler.pod
%{_mandir}/man3/Date::Handler.*
%{_mandir}/man3/Date::Handler::Delta.*
%{_mandir}/man3/Date::Handler::Range.*

%files Test
%{perl_vendorlib}/Date/Handler/Test.*
%{_mandir}/man3/Date::Handler::Test.3pm*

%files tests
%{_libexecdir}/%{name}

%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-1
- initial build
